## gauche 0.7.4.2

=== test/data/Makefile ===
# This makefile is to prepare packaging data.
# The user doesn't need this.

GETTEXT_DATA = gettext.data.euc-jp.scm \
               gettext.data.sjis.scm \
               gettext.data.none.scm

GENERATED = $(GETTEXT_DATA)


all : $(GENERATED)

check :

clean :
	rm -f core *~

distclean : clean

maintainer-clean : clean
	rm -f $(GENERATED)

gettext.data.euc-jp.scm : gettext.data.utf-8.scm
	gosh -I../../src cesconv -f utf-8 -t eucjp -o gettext.data.euc-jp.scm gettext.data.utf-8.scm

gettext.data.sjis.scm : gettext.data.utf-8.scm
	gosh -I../../src cesconv -f utf-8 -t sjis -o gettext.data.sjis.scm gettext.data.utf-8.scm

# note: 'none' must be in eucjp encoding, since test .po file is
# in eucjp encoding and 'none' compares them bytewise.
gettext.data.none.scm : gettext.data.utf-8.scm
	gosh -I../../src cesconv -f utf-8 -t eucjp -o gettext.data.none.scm gettext.data.utf-8.scm

## gauche 0.9

=== winnt/Makefile ===
PROJDIRS = gosh/ libgauche/ gauche-config/ test-arith/ test-vmstack/ ext-*/

all :

clean :
	rm -rf gauche/ debug/ release/ *~ *.ncb *.suo *.vcproj.* test.log $(PROJDIRS)

check : debug/gosh.exe
	rm -f test.log
	-@for t in `cat ../test/TESTS`; do \
	  debug/gosh -ftest -Idebug -I../test $$t; \
	done > test.log
	-@for t in ../ext/*/test.scm; do \
	  (cd `dirname $$t`; ../../winnt/debug/gosh -ftest -I../../winnt/debug ./test.scm); \
	done >> test.log

=== debian/changelog ===
gauche (0.9-16) unstable; urgency=low

  * debian/libgauche0.symbols (GC_start_rtn_prepare_thread): New.
    (Scm__EncodeDouble): Removed Debian revision number.
  * Check a old bug report and confirmed it's fixed (Closes: #333293).
  * debian/control (Standards-Version): Version 3.9.0.
  * README.source: Removed.
  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Jul 2010 09:50:45 +0900

gauche (0.9-15) unstable; urgency=low

  * debian/control: Added Breaks: and Replaces: -headers for gauche,
    libgauche0, gauche-zlib, and gauche-dev (Closes: #580337).
    Thanks to Bernard Drapeau and Jens Thiele.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 07 May 2010 12:10:37 +0900

gauche (0.9-14) unstable; urgency=low

  * debian/patches/17_libgc_thread_local_for_archs.patch: Renamed
    and updated for all archs not only for i486-linux-gnu.
  * debian/patches/15_ext_termios.patch: Updated.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Apr 2010 12:40:56 +0900

gauche (0.9-13) experimental; urgency=low

  * debian/libgauche0.symbols: Changes for symbols with
    THREAD_LOCAL_ALLOC=1.
    Removed GC_allocate_lock.
    Added 19 symbols.
  * debian/patches/17_libgc_thread_local_for_i486.patch: New file.
  * debian/control (Suggests): Added gauche-gdbm and gauche-zlib.
  * debian/libgauche0.symbols: Added (optional) for
    Scm_BignumToSI64, Scm_BignumToUI64, Scm_GetInteger64Clamp,
    Scm_GetIntegerU64Clamp, Scm_MakeInteger64, and Scm_MakeIntegerU64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Apr 2010 09:58:49 +0900

gauche (0.9-12) experimental; urgency=low

  * debian/gauche-dev.install: gauche-cesconv should be in 'gauche'.
    Include gauche-install, gauche-config, and gauche-package under
    /usr/lib/gauche.
    Include genstub, precomp, and gencomp.
  * debian/gauche.install: Specify all contents.
  * debian/rules (override_dh_install): Removed.
  * debian/libgauche0.symbols: New file to catch ABI change.
  * debian/libgauche0.install: New file.
  * debian/gauche-zlib.install: New file.
  * debian/control (Build-Depends): Added netbase for test of ext/net.
    (Package): Added libgauche0.
    (Package): Added gauche-zlib.
    (Section): gauche-dev is lisp.
  * debian/patches/02_linking.patch: Updated.
  * debian/patches/07_armel_gnueabi.patch: Updated.
  * debian/patches/08_host_gnu.patch: Updated.
  * debian/patches/09_gauche_config.patch: Updated.
  * debian/patches/15_ext_termios.patch: New file.
  * debian/patches/16_no_LIBS.patch: New file.
  * gauche.postinst, gauche.postrm: Removed.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 22 Apr 2010 09:00:36 +0900

gauche (0.9-11) unstable; urgency=low

  * debian/patches/14_libgc_fix_threadlocal.patch: New file.
  * debian/patches/05_libgc_fix.patch: Updated (remove ia64 exception).
  * README.Debian: Remove ia64 comment.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 16 Apr 2010 16:54:18 +0900

gauche (0.9-10) unstable; urgency=low

  * debian/patches/13_bigendian64.patch: New file.
  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: New file.
  * debian/patches/11_strict_alias.patch: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 14 Apr 2010 09:27:00 +0900

gauche (0.9-9) unstable; urgency=low

  * debian/patches/11_strict_alias.patch: New file.
  * debian/rules: ia64 is OK now, comment out the workaround.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 08 Apr 2010 11:32:46 +0900

gauche (0.9-8) unstable; urgency=low

  * debian/patches/10_manpages.patch: New file.
  * debian/patches/series: Don't apply 01_manpages.patch but 10_manpages.patch.
  * debian/gauche.manpages: Updated.
  * debian/gauche-dev.manpages: New file.
  * debian/gauche-doc.lintian: Removed.
  * debian/rules: Follow the removal of gauche-doc.lintian.
  * debian/rules: Added +x for template.DIST.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 17 Mar 2010 14:23:47 +0900

gauche (0.9-7) unstable; urgency=low

  * debian/control (Maintainer): It's now Debian Gauche Maintainers list.
  (Uploaders): Added Jens Thiele <karme@karme.de>.
  * debian/patches/08_host_gnu.patch: Add THREADLIBS and
    GAUCHE_THREAD_TYPE for i486-pc-gnu0.3.  Include config.h.in patch.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 11 Mar 2010 09:52:27 +0900

gauche (0.9-6) unstable; urgency=low

  * debian/patches/09_no_LIBS.patch: New file.
  * debian/patches/02_linking.patch: Remove $(LIBS) from gauche-config build.
  * debian/patches/05_libgc_fix.patch: Undo 0.9-5 change and enable
    THREAD_LOCAL_ALLOC for sparc64-*-linux*.
  * debian/patches/06_arm_float.patch: Include 2009-11-30 change of
    src/parameter.c.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 09 Mar 2010 10:22:52 +0900

gauche (0.9-5) unstable; urgency=low

  * debian/patches/07_armel_gnueabi.patch: New file.
  * debian/patches/08_host_gnu.patch: New file.
  * debian/patches/05_libgc_fix.patch: Added local change of disabling
    THREAD_LOCAL_ALLOC for sparc64-*-linux*.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 08 Mar 2010 12:24:07 +0900

gauche (0.9-4) unstable; urgency=low

  * debian/README.Debian: Added a note for ia64.
  * debian/patches/05_libgc_fix.patch: Added local change of disabling
    THREAD_LOCAL_ALLOC for ia64-*-linux*.
  * debian/rules (override_dh_auto_build): New entry.
  (less_optimization_for_vm_compilation): New variable.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 06 Mar 2010 14:10:49 +0900

gauche (0.9-3) unstable; urgency=low

  * debian/patches/05_libgc_fix.patch: New file.
  * debian/patches/06_arm_float.patch: New file.
  * debian/patches/series: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Mar 2010 10:52:55 +0900

gauche (0.9-2) unstable; urgency=low

  * debian/control (Build-Depends): Added libatomic-ops-dev.
  * debian/rules: Use preinstalled libatomic-ops.
  * debian/patches/04_align8.patch: New file.
  * debian/patches/series: Apply 04_align8.patch.



=== debian/control ===
Source: gauche
Section: lisp
Priority: optional
Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
Standards-Version: 3.9.0
Homepage: http://practical-scheme.net/gauche/

Package: gauche
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wiliki (<< 0.5.1)
Breaks: gauche-dev (<= 0.9-11)
Replaces: gauche-dev (<= 0.9-11)
Recommends: slib
Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
Description: A Scheme implementation designed for script writing
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.

Package: libgauche0
Section: libs
Architecture: any
Breaks: gauche (<= 0.9-11)
Replaces: gauche (<= 0.9-11)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gauche runtime shared library
 Gauche is a Scheme implementation developed to be a handy script
 interpreter.
 .
 This package contains Gauche runtime shared library.

Package: gauche-gdbm
Architecture: any
Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
Description: gdbm binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains GDBM binding modules for Gauche.

Package: gauche-zlib
Architecture: any
Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9-11), gauche-dev (<= 0.9-11)
Replaces: gauche (<= 0.9-11)
Description: zlib binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains zlib binding modules for Gauche.

Package: gauche-dev
Section: lisp
Architecture: any
Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9-11)
Replaces: gauche (<= 0.9-11)
Description: Development files for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains development files of Gauche.

Package: gauche-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Reference manual of Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains info documents of the reference manual of Gauche
 (English, Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
#export DH_OPTIONS=
export GZIP=-9

less_optimization_for_vm_compilation := no

# DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
# ifeq ($(DEB_HOST_ARCH),ia64)
#   less_optimization_for_vm_compilation := yes
# endif

%:
	dh --with quilt  $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure config.sub config.guess
	rm -f lib/gauche/config.scm
#	rm -f gc/configure gc/Makefile.in

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	autoconf
#	(cd gc; autoconf; automake)
	dh_auto_configure -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib

override_dh_auto_build:
ifeq ($(less_optimization_for_vm_compilation),yes)
	(cd src; make CFLAGS="-g -O1 -fPIC" vm.o)
endif
	dh_auto_build

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc
	chmod +x $(CURDIR)/debian/tmp/usr/share/gauche/0.9/template.DIST

## gauche 0.9.1

=== winnt/nsis/Makefile ===
MAKENSIS = "$(shell which makensis.exe 2> /dev/null)"
GEN_TARGET = setup.nsi
GAUCHE_VERSION = $(shell cat ../../VERSION 2> /dev/null)
MINGW_DIST_DIR = ../../../Gauche-mingw-dist/Gauche
TARGET = Gauche-mingw-$(GAUCHE_VERSION).exe

all: gen build

gen: $(GEN_TARGET)

$(GEN_TARGET): $(GEN_TARGET).in $(MINGW_DIST_DIR)/bin/gosh.exe
	gosh ./file-list.scm $(MINGW_DIST_DIR) $(GEN_TARGET).in $(GAUCHE_VERSION)

build: $(TARGET)

$(TARGET): $(GEN_TARGET)
ifneq ($(MAKENSIS), "")
	$(MAKENSIS) $(GEN_TARGET)
endif

clean:
	@if test -f $(GEN_TARGET); then \
		rm $(GEN_TARGET); \
	fi
	@if test -f $(TARGET); then \
		rm $(TARGET); \
	fi

=== debian/changelog ===
gauche (0.9.1-5) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: More fix.
  * debian/control (Breaks): Add libgauche0 (Closes: #617201).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Mar 2011 16:15:17 +0900

gauche (0.9.1-4) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: More fix.
  * debian/libgauche-0.9-0.symbols: Updated for kfreebsd-*, sparc64.
  * debian/patches/28_test_under_pty.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Mar 2011 13:33:26 +0900

gauche (0.9.1-3) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: Added again to fix FTBFS on
    hurd-i386, armhf and powerpcspe.
  * debian/libgauche-0.9-0.symbols: Updated for mips, mipsel and s390.
  * debian/control (Package): Renamed libgauche-0.9-0.
  * debian/libgauche-0.9-0.{postinst,postrm}: New.
  * debian/libgauche-0.9-0.{install,symbols}: Renamed.
  * debian/patches/27_libgc_fix__data_start.patch: Renamed and include
    similar change for mips/mipsel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 04 Mar 2011 17:38:45 +0900

gauche (0.9.1-2) unstable; urgency=low

  * debian/gauche.install: Added missing files.  Thanks to Jens Thiele.
  * debian/patches/27_s390_libgc_fix.patch: New.
  * debian/rules (override_dh_auto_configure): Added EXTRA_TEST_LIBS.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 01 Mar 2011 11:33:14 +0900

gauche (0.9.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Updated.  Not use Conflicts.
  (Breaks): Move wiliki from Conflicts.
  * debian/patches/01_manpages.patch: Removed.
  * debian/patches/04_align8.patch: Removed.
  * debian/patches/06_arm_float.patch: Removed.
  * debian/patches/07_armel_gnueabi.patch: Removed.
  * debian/patches/08_host_gnu.patch: Removed.
  * debian/patches/09_gauche_config.patch: Removed.
  * debian/patches/10_manpages.patch: Removed.
  * debian/patches/11_strict_alias.patch: Removed.
  * debian/patches/13_bigendian64.patch: Removed.
  * debian/patches/19_nettest_skip.patch: Removed.
  * debian/patches/21_vectors_test.patch: Removed.
  * debian/gauche.install: Updated.
  * debian/libgauche0.install: Updated.
  * debian/gauche-dev.install: Updated.
  * debian/gauche-gdbm.install: Updated.
  * debian/gauche-zlib.install: Updated.
  * debian/rules: Update path of template.DIST.
  * debian/patches/25_binary_compat_vminexact.patch: New.
  * debian/patches/26_no_microversion_in_soname.patch: New.
  * debian/libgauche0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Feb 2011 10:32:11 +0900

gauche (0.9-21) unstable; urgency=low

  * debian/patches/24_remove_sk_hack.patch: New.  Fix FTBFS with newer
    libc.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 10 Feb 2011 12:09:35 +0900

gauche (0.9-20) unstable; urgency=low

  * debian/patches/23_sh4_requires_mieee.patch: New.
    Fix FTBFS on SH4 (Closes: #612554).  Thanks to Nobuhiro Iwamatsu.
  * debian/patches/22_wa_s390_memcmp.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 09 Feb 2011 17:45:07 +0900

gauche (0.9-19) unstable; urgency=low

  * debian/patches/20_check_exit_status.patch: Fixed ('exit' command
    should not be inside sub-shell).  Added check of test.record.
  * debian/patches/21_vectors_test.patch: New for big endian machines.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Feb 2011 09:18:45 +0900

gauche (0.9-18) unstable; urgency=low

  * debian/patches/12_libgc_fix__EXCEPTIONS.patch: Call GC_init_thread_local.
  * debian/patches/19_nettest_skip.patch: New.
  * debian/patches/20_check_exit_status.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 07 Feb 2011 11:28:22 +0900

gauche (0.9-17) unstable; urgency=high

  * debian/patches/18_number.patch: New.  Gauche is vulnerable for
  some floating point input.  Reference: CVE-2010-4645 for PHP.
  Thanks to Jens Thiele.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 04 Feb 2011 17:42:16 +0900

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
 Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://practical-scheme.net/gauche/
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: wiliki (<< 0.5.1)
-Breaks: gauche-dev (<= 0.9-11)
-Replaces: gauche-dev (<= 0.9-11)
+Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9-21)
+Replaces: gauche-dev (<= 0.9-21)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
 Description: A Scheme implementation designed for script writing
@@ -22,11 +21,11 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche0
+Package: libgauche-0.9-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Breaks: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
+Replaces: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -36,7 +35,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -48,9 +47,9 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-11), gauche-dev (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9-21), gauche-dev (<= 0.9-21)
+Replaces: gauche (<= 0.9-21)
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -63,9 +62,9 @@
 Package: gauche-dev
 Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9-15), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-11)
-Replaces: gauche (<= 0.9-11)
+Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9-21)
+Replaces: gauche (<= 0.9-21)
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to

## gauche 0.9.3.3

=== test/Makefile ===
all:

clean:
	rm -f core *~ tmp*

=== winnt/wix/Makefile ===
MORE_CONTENT = Gauche/COPYING.rtf \
	       Gauche/gauche-logo.ico

all: stamp.0

stamp.0 : genwxs.scm Gauche $(MORE_CONTENT)
	rm -f gauche.wxs *.msi
	../../src/gosh -ftest ./genwxs.scm gauche.wxs
	candle gauche.wxs
	light -ext WixUIExtension -sice:ICE61 gauche.wixobj
	mv gauche.msi Gauche-mingw-`Gauche/bin/gauche-config -V`.msi
	touch stamp.0

Gauche/COPYING.rtf : txt2rtf.scm
	../../src/gosh -ftest ./txt2rtf.scm ../../COPYING Gauche/COPYING.rtf

Gauche/gauche-logo.ico : gauche-logo.ico
	cp gauche-logo.ico Gauche/

clean:
	rm -f stamp.0 *.wxs *.msi *.wixobj *.wixpdb *.log *~

=== debian/changelog ===
gauche (0.9.3.3-8ubuntu1) trusty; urgency=medium

  * Backport boehm-gc and libatomic-ops patches for AArch64.
  * Backport boehm-gc and libatomic-ops patches for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 22:29:34 +0200

gauche (0.9.3.3-8) unstable; urgency=low

  * debian/libgauche-0.9-0.symbols: Updated for alpha, armel and ia64.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Jan 2013 17:17:39 +0900

gauche (0.9.3.3-7) unstable; urgency=low

  * debian/rules: ac_cv_prog_OPENSSL=none, workaround for axTLS. 

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 29 Nov 2012 09:37:15 +0900

gauche (0.9.3.3-6) unstable; urgency=low

  * debian/patches/35_axtls_error.patch: New.
  * debian/patches/36_fix_for_exotic_filesystem.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Nov 2012 15:45:38 +0900

gauche (0.9.3.3-5) unstable; urgency=low

  * debian/{gauche.install,gauche-dev.install,gauche-doc.info,
    gauche-dev.manpages,gauche.manpages}: Updated (Thanks to Jens Thiele).
  * debian/rules: Fix path of --mandir and --infodir.
  * debian/patches/32_usage_libatomic_ops.patch: Updated to fix FTBFS on
    armel, really, this time.
  * debian/patches/34_alpha_stackbottom.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 28 Nov 2012 09:24:58 +0900

gauche (0.9.3.3-4) unstable; urgency=low

  * debian/33_workaround_thread_test_minmemory.patch: New.
  * debian/libgauche-0.9-0.symbols: Updated.
  * debian/patches/32_usage_libatomic_ops.patch: Updated.  Fix FTBFS on
    sh4, too.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 27 Nov 2012 09:40:46 +0900

gauche (0.9.3.3-3) unstable; urgency=low

  * debian/patches/19_nettest_skip.patch: Updated.  Fix FTBFS on powerpc,
    s390 and s390x.
  * debian/patches/32_usage_libatomic_ops.patch: New.  Fix FTBFS on armel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 16:12:40 +0900

gauche (0.9.3.3-2) unstable; urgency=low

  * debian/rules (override_dh_auto_configure): Remove mistake of
    --build options to fix FTBFS.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 14:22:54 +0900

gauche (0.9.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #671622).
  * debian/compat: Upgrade to 9. 
  * debian/rules (override_dh_auto_clean): Add cleanup generated .scm and
    sci files.
    (DH_OPTIONS): Add export.
    (override_dh_auto_configure): Don't call dh_auto_configure directly,
    but call configure manually (for libdir and libexecdir).
  * debian/gauche.install: Updated.
  * debian/patches/30_link_pthread.patch: New.
  * debian/patches/31_ldflags_for_ext.patch: New.
  * debian/patches/series: Don't apply 05, 12, 14, 18, 22, 14, and 29.
    Those are included in upstream already.
  * debian/libgauche-0.9-0.symbols: Updated.
  * debian/control (Standards-Version): Now, it follows 3.9.3.
    (Description): Update from current Gauche README.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 26 Nov 2012 12:40:15 +0900

gauche (0.9.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid using $HOME (Closes: #666588).

 -- Luk Claes <luk@debian.org>  Thu, 05 Jul 2012 18:24:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
 Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
-Standards-Version: 3.9.1
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
+Standards-Version: 3.9.3
 Homepage: http://practical-scheme.net/gauche/
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9-21)
-Replaces: gauche-dev (<= 0.9-21)
+Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
+Replaces: gauche-dev (<= 0.9.1-5)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
-Description: A Scheme implementation designed for script writing
+Description: Scheme script engine
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
  write small to large scripts for their daily chores. Quick startup,
@@ -24,8 +24,8 @@
 Package: libgauche-0.9-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
-Replaces: gauche (<= 0.9-21), libgauche0 (<= 0.9.1-2)
+Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -35,7 +35,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -47,9 +47,9 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-21), gauche-dev (<= 0.9-21)
-Replaces: gauche (<= 0.9-21)
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5)
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -62,9 +62,9 @@
 Package: gauche-dev
 Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9.1-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9-21)
-Replaces: gauche (<= 0.9-21)
+Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Breaks: gauche (<= 0.9.1-5)
+Replaces: gauche (<= 0.9.1-5)
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export GZIP=-9

%:
	dh $@ --with quilt,autotools_dev

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure
	rm -f lib/gauche/config.scm
#	rm -f gc/configure gc/Makefile.in
	find . -name "*.sci" | xargs rm -f
	find . -type l -name "*.scm" | xargs rm -f

override_dh_auto_configure:
	autoconf
#	(cd gc; autoconf; automake)
#	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
#
#	  --build=x86_64-linux-gnu 
#	  --libdir=/usr/lib/x86_64-linux-gnu --libexecdir=/usr/lib/x86_64-linux-gnu \
#
	ac_cv_prog_OPENSSL=none ./configure --prefix=/usr \
	  --includedir=/usr/include --mandir=/usr/share/man \
	  --infodir=/usr/share/info --sysconfdir=/etc \
	  --localstatedir=/var \
	  --disable-maintainer-mode --disable-dependency-tracking \
	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
	  --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc
	chmod +x $(CURDIR)/debian/tmp/usr/share/gauche-0.9/[0-9]*/template.DIST

=== debian/watch ===
version=3
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz

## gauche 0.9.4

=== ext/charconv/data/Makefile ===

.SUFFIXES: .EUCJP .SJIS .UTF-8 .ISO2022JP .EUCKR .ISO2022KR

GENERATED = jp1.SJIS jp1.UTF-8 jp1.ISO2022JP \
	    jp2.SJIS jp2.ISO2022JP \
            jp3.SJIS jp3.UTF-8 jp3.ISO2022JP \
            jp4.SJIS jp4.UTF-8 jp4.ISO2022JP \
	    kr1.UTF-8 kr1.ISO2022KR

.EUCJP.SJIS:
	nkf -E -s -x $< > $@

.EUCJP.UTF-8:
	iconv -f EUC-JP -t UTF-8 $< > $@

.EUCJP.ISO2022JP:
	nkf -E -j -x $< > $@

.EUCKR.UTF-8:
	iconv -f EUC-KR -t UTF-8 $< > $@

.EUCKR.ISO2022KR:
	iconv -f EUC-KR -t ISO2022KR $< > $@

all: $(GENERATED)

clean :
	rm -f core *~

distclean : clean

realclean : clean

=== ext/tls/axTLS/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

-include config/.config

ifneq ($(strip $(HAVE_DOT_CONFIG)),y)
all: menuconfig
else
all: target
endif

include config/makefile.conf

target : $(STAGE) $(TARGET)

# VERSION has to come from the command line
RELEASE=axTLS-$(VERSION)

# standard version
target:
	$(MAKE) -C crypto
	$(MAKE) -C ssl
ifdef CONFIG_AXHTTPD
	$(MAKE) -C httpd
endif
ifdef CONFIG_AXTLSWRAP
	$(MAKE) -C axtlswrap
endif
ifdef CONFIG_BINDINGS
	$(MAKE) -C bindings
endif
ifdef CONFIG_SAMPLES
	$(MAKE) -C samples
endif

$(STAGE) : ssl/version.h
	@mkdir -p $(STAGE)

# create a version file with something in it.
ssl/version.h:
	@echo "#define AXTLS_VERSION    \"(no version)\"" > ssl/version.h

$(PREFIX) :
	@mkdir -p $(PREFIX)/lib
	@mkdir -p $(PREFIX)/bin

release:
	$(MAKE) -C config/scripts/config clean
	-$(MAKE) clean
	-@rm config/*.msi config/*.back.aip config/config.h config/.config*
	-@rm www/index.20*
	-@rm -fr $(STAGE)
	@echo "#define AXTLS_VERSION    \"$(VERSION)\"" > ssl/version.h
	cd ../; tar cvfz $(RELEASE).tar.gz --wildcards-match-slash --exclude .svn axTLS; cd -;

docs:
	$(MAKE) -C docsrc doco

# build the Win32 demo release version
win32_demo:
	@echo "#define AXTLS_VERSION    \"$(VERSION)\"" > ssl/version.h
	$(MAKE) win32releaseconf

install: $(PREFIX) all
	cp --no-dereference $(STAGE)/libax* $(PREFIX)/lib
	chmod 755 $(PREFIX)/lib/libax* 
ifdef CONFIG_SAMPLES
	install -m 755 $(STAGE)/ax* $(PREFIX)/bin 
endif
ifdef CONFIG_HTTP_HAS_AUTHORIZATION
	install -m 755 $(STAGE)/htpasswd $(PREFIX)/bin 
endif
ifdef CONFIG_PLATFORM_CYGWIN
	install -m 755 $(STAGE)/cygaxtls.dll $(PREFIX)/bin 
endif
ifdef CONFIG_PERL_BINDINGS 
	install -m 755 $(STAGE)/axtlsp.pm `perl -e 'use Config; print $$Config{installarchlib};'`
endif
	@mkdir -p -m 755 $(PREFIX)/include/axTLS
	install -m 644 crypto/*.h $(PREFIX)/include/axTLS
	install -m 644 ssl/*.h $(PREFIX)/include/axTLS
	-rm $(PREFIX)/include/axTLS/cert.h
	-rm $(PREFIX)/include/axTLS/private_key.h
	-rm $(PREFIX)/include/axTLS/os_port.h
	install -m 644 config/config.h $(PREFIX)/include/axTLS

installclean:
	-@rm $(PREFIX)/lib/libax* > /dev/null 2>&1
	-@rm $(PREFIX)/bin/ax* > /dev/null 2>&1
	-@rm $(PREFIX)/bin/axhttpd* > /dev/null 2>&1
	-@rm `perl -e 'use Config; print $$Config{installarchlib};'`/axtlsp.pm > /dev/null 2>&1

test:
	cd $(STAGE); ssltest; ../ssl/test/test_axssl.sh; cd -;

# tidy up things
clean::
	@cd crypto; $(MAKE) clean
	@cd ssl; $(MAKE) clean
	@cd httpd; $(MAKE) clean
	@cd axtlswrap; $(MAKE) clean
	@cd samples; $(MAKE) clean
	@cd docsrc; $(MAKE) clean
	@cd bindings; $(MAKE) clean

# ---------------------------------------------------------------------------
# mconf stuff
# ---------------------------------------------------------------------------

CONFIG_CONFIG_IN = config/Config.in
CONFIG_DEFCONFIG = config/defconfig

config/scripts/config/conf: config/scripts/config/Makefile
	$(MAKE) -C config/scripts/config conf
	-@if [ ! -f config/.config ] ; then \
		cp $(CONFIG_DEFCONFIG) config/.config; \
	fi

config/scripts/config/mconf: config/scripts/config/Makefile
	$(MAKE) -C config/scripts/config ncurses conf mconf
	-@if [ ! -f config/.config ] ; then \
		cp $(CONFIG_DEFCONFIG) .config; \
	fi

cleanconf:
	$(MAKE) -C config/scripts/config clean
	@rm -f config/.config

menuconfig: config/scripts/config/mconf
	@./config/scripts/config/mconf $(CONFIG_CONFIG_IN)

config: config/scripts/config/conf
	@./config/scripts/config/conf $(CONFIG_CONFIG_IN)

oldconfig: config/scripts/config/conf
	@./config/scripts/config/conf -o $(CONFIG_CONFIG_IN)

default: config/scripts/config/conf
	@./config/scripts/config/conf -d $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

randconfig: config/scripts/config/conf
	@./config/scripts/config/conf -r $(CONFIG_CONFIG_IN)

allnoconfig: config/scripts/config/conf
	@./config/scripts/config/conf -n $(CONFIG_CONFIG_IN)

allyesconfig: config/scripts/config/conf
	@./config/scripts/config/conf -y $(CONFIG_CONFIG_IN)

# The special win32 release configuration
win32releaseconf: config/scripts/config/conf
	@./config/scripts/config/conf -D config/win32config $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

# The special linux release configuration
linuxconf: config/scripts/config/conf
	@./config/scripts/config/conf -D config/linuxconfig $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

=== ext/tls/axTLS/crypto/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

include ../config/.config
include ../config/makefile.conf

AXTLS_HOME=..

OBJ=\
	aes.o \
	bigint.o \
	crypto_misc.o \
	hmac.o \
	md2.o \
	md5.o \
	rc4.o \
	rsa.o \
	sha1.o

include ../config/makefile.post

all: $(OBJ)

=== ext/tls/axTLS/ssl/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

AXTLS_HOME=..

include $(AXTLS_HOME)/config/.config
include $(AXTLS_HOME)/config/makefile.conf

all: libs
ifdef CONFIG_PERFORMANCE_TESTING
	$(MAKE) -C test
else
ifdef CONFIG_SSL_TEST
	$(MAKE) -C test
endif
endif

ifndef CONFIG_PLATFORM_WIN32
TARGET1=$(AXTLS_HOME)/$(STAGE)/libaxtls.a
BASETARGET=libaxtls.so
CRYPTO_PATH=$(AXTLS_HOME)/crypto/
ifdef CONFIG_PLATFORM_CYGWIN
TARGET2=$(AXTLS_HOME)/$(STAGE)/libaxtls.dll.a
else
TARGET2=$(AXTLS_HOME)/$(STAGE)/$(LIBMINOR)
endif

# shared library major/minor numbers
LIBMAJOR=$(BASETARGET).1
LIBMINOR=$(BASETARGET).1.2
else
TARGET1=$(AXTLS_HOME)/$(STAGE)/axtls.lib
TARGET2=$(AXTLS_HOME)/$(STAGE)/axtls.dll
STATIC_LIB=$(AXTLS_HOME)/$(STAGE)/axtls.static.lib
CRYPTO_PATH=$(AXTLS_HOME)\\crypto\\
endif

libs: $(TARGET1) $(TARGET2)

CRYPTO_OBJ=\
	$(CRYPTO_PATH)aes.o \
	$(CRYPTO_PATH)bigint.o \
	$(CRYPTO_PATH)crypto_misc.o \
	$(CRYPTO_PATH)hmac.o \
	$(CRYPTO_PATH)md2.o \
	$(CRYPTO_PATH)md5.o \
	$(CRYPTO_PATH)rc4.o \
	$(CRYPTO_PATH)rsa.o \
	$(CRYPTO_PATH)sha1.o

OBJ=\
	asn1.o \
	gen_cert.o \
	loader.o \
	openssl.o \
	os_port.o \
	p12.o \
	tls1.o \
	tls1_svr.o \
	tls1_clnt.o \
	x509.o

include $(AXTLS_HOME)/config/makefile.post

ifndef CONFIG_PLATFORM_WIN32     # Linux/Unix/Cygwin

$(TARGET1) : $(CRYPTO_OBJ) $(OBJ)
	$(AR) -r $@ $(CRYPTO_OBJ) $(OBJ)

$(TARGET2) : $(CRYPTO_OBJ) $(OBJ)
ifndef CONFIG_PLATFORM_CYGWIN
	$(LD) $(LDFLAGS) $(LDSHARED) -Wl,-soname,$(LIBMAJOR) -o $(AXTLS_HOME)/$(STAGE)/$(LIBMINOR) $(CRYPTO_OBJ) $(OBJ)
	cd $(AXTLS_HOME)/$(STAGE); ln -sf $(LIBMINOR) $(LIBMAJOR); ln -sf $(LIBMAJOR) $(BASETARGET); cd -
else
	$(LD) $(LDFLAGS) $(LDSHARED) -o $(AXTLS_HOME)/$(STAGE)/cygaxtls.dll \
    -Wl,--out-implib=$(AXTLS_HOME)/$(STAGE)/libaxtls.dll.a \
    -Wl,--export-all-symbols \
    -Wl,--enable-auto-import $(CRYPTO_OBJ) $(OBJ)
endif

else  # Win32
CRYPTO_OBJ:=$(CRYPTO_OBJ:.o=.obj)

$(TARGET1) : $(OBJ)
	$(AR) /out:$@ $(CRYPTO_OBJ) $(OBJ)

$(TARGET2) : $(OBJ)
	cp $(TARGET1) $(STATIC_LIB)
	$(LD) $(LDFLAGS) $(LDSHARED) /out:$@ $(CRYPTO_OBJ) $(OBJ)

endif    

clean::
	$(MAKE) -C test clean
	-@rm -f $(AXTLS_HOME)/$(STAGE)/* *.a $(TARGET1) $(TARGET2)

=== ext/tls/axTLS/ssl/test/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

all:

AXTLS_HOME=../..

include $(AXTLS_HOME)/config/.config
include $(AXTLS_HOME)/config/makefile.conf

ifdef CONFIG_PERFORMANCE_TESTING
all: performance
endif

ifdef CONFIG_SSL_TEST
all: ssltesting
endif

include $(AXTLS_HOME)/config/makefile.post

ifndef CONFIG_PLATFORM_WIN32
performance: $(AXTLS_HOME)/$(STAGE)/perf_bigint
ssltesting: $(AXTLS_HOME)/$(STAGE)/ssltest
LIBS=$(AXTLS_HOME)/$(STAGE)

$(AXTLS_HOME)/$(STAGE)/perf_bigint: perf_bigint.o $(LIBS)/libaxtls.a
	$(LD) $(LDFLAGS) -o $@ $^ -L $(LIBS) -laxtls

$(AXTLS_HOME)/$(STAGE)/ssltest: ssltest.o $(LIBS)/libaxtls.a
	$(LD) $(LDFLAGS) -o $@ $^ -lpthread -L $(LIBS) -laxtls
else
performance: $(AXTLS_HOME)/$(STAGE)/perf_bigint.exe
ssltesting: $(AXTLS_HOME)/$(STAGE)/ssltest.exe

CRYPTO_PATH="$(AXTLS_INCLUDE)crypto\\"
AXTLS_SSL_PATH="$(AXTLS_INCLUDE)ssl\\"

CRYPTO_OBJ=\
	$(CRYPTO_PATH)aes.obj \
	$(CRYPTO_PATH)bigint.obj \
	$(CRYPTO_PATH)crypto_misc.obj \
	$(CRYPTO_PATH)hmac.obj \
	$(CRYPTO_PATH)md2.obj \
	$(CRYPTO_PATH)md5.obj \
	$(CRYPTO_PATH)rc4.obj \
	$(CRYPTO_PATH)rsa.obj \
	$(CRYPTO_PATH)sha1.obj

OBJ=\
	$(AXTLS_SSL_PATH)asn1.obj \
	$(AXTLS_SSL_PATH)gen_cert.obj \
	$(AXTLS_SSL_PATH)loader.obj \
	$(AXTLS_SSL_PATH)openssl.obj \
	$(AXTLS_SSL_PATH)os_port.obj \
	$(AXTLS_SSL_PATH)p12.obj \
	$(AXTLS_SSL_PATH)x509.obj \
	$(AXTLS_SSL_PATH)tls1.obj \
	$(AXTLS_SSL_PATH)tls1_svr.obj \
	$(AXTLS_SSL_PATH)tls1_clnt.obj

$(AXTLS_HOME)/$(STAGE)/perf_bigint.exe: perf_bigint.obj
	$(LD) $(LDFLAGS) /out:$@ $? $(CRYPTO_OBJ) $(OBJ)

$(AXTLS_HOME)/$(STAGE)/ssltest.exe: ssltest.obj
	$(LD) $(LDFLAGS) /out:$@ $? $(CRYPTO_OBJ) $(OBJ)
endif

clean::
	-@rm -f $(AXTLS_HOME)/$(STAGE)/perf_bigint* $(AXTLS_HOME)/$(STAGE)/ssltest*

=== debian/changelog ===
gauche (0.9.4-6) unstable; urgency=low

  * debian/rules (GZIP): Add -n to be reproducible.
  * debian/README.Debian: Fix typo.
  * debian/patches/{40_mips64el.patch,41_port_unlock_race.patch}: New.
    Thanks to James Cowgill (Closes: #774886, #779949).
  * Confirmed that info-es are in gauche-doc (fixed in 0.9.4-5).
    Thanks to Frank Zappa and Jens Thiele (Closes: #805478).
  * debian/control (Maintainer): Remove Hatta Shuzo, since he is not
    Debian developer any more (Closes: #549352).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 18 Dec 2015 07:16:21 +0000

gauche (0.9.4-5) unstable; urgency=low

  * debian/control (Standards-Version): Conforms to 3.9.6.
  * debian/rules (AUTOMAKE, ACLOCAL): Specify for machines with 1.14.
  * debian/gauche-doc.install: Move from gauche-doc.info.
    Thanks to Jay Sulzberger for reporting.
  * debian/libgauche-0.9-0.symbols: Updated for kfreebsd.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 05 Nov 2014 04:54:20 +0000

gauche (0.9.4-4) unstable; urgency=low

  * debian/patches/38_libgc_ppc64el.patch: New (Closes: #766639).
    Thanks to Frederic Bonnard.
  * debian/patches/39_net_test.patch: New to disable network test.
  * debian/libgauche-0.9-0.symbols: Updated for ppc64 and ppc64el.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 04 Nov 2014 03:43:51 +0000

gauche (0.9.4-3) unstable; urgency=low

  * debian/rules: Fix FTBFS for sparc.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 30 Aug 2014 12:23:07 +0000

gauche (0.9.4-2) unstable; urgency=low

  * debian/rules: Fix FTBFS for ppc64el.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 28 Aug 2014 00:28:37 +0000

gauche (0.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #736228, #744573, #753402).
  * debian/control (Standards-Version): Conforms to 3.9.4.
    (Build-Depends): Remove libatomic-ops-dev.
  * debian/patches/series: Updated.
  * debian/libgauche-0.9-0.symbols: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 27 Aug 2014 01:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
-Uploaders: Hatta Shuzo <hattas@debian.org>, YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, slib (>> 3a5), zlib1g-dev, libatomic-ops-dev, netbase
-Standards-Version: 3.9.3
+Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, automake1.11, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase
+Standards-Version: 3.9.6
 Homepage: http://practical-scheme.net/gauche/
 
 Package: gauche

=== debian/rules ===
--- 
+++ 
@@ -2,22 +2,36 @@
 # -*- makefile-gmake -*-
 #export DH_VERBOSE=1
 export DH_OPTIONS
-export GZIP=-9
+export GZIP=-9 -n
+export AUTOMAKE = automake-1.11
+export ACLOCAL  = aclocal-1.11
 
 %:
-	dh $@ --with quilt,autotools_dev
+	dh $@ --with quilt
 
 override_dh_auto_clean:
-	dh_auto_clean
-	rm -f configure
+	-dh_auto_clean
+	rm -f configure config.sub config.guess
+	rm -f gc/config.sub gc/config.guess
+	rm -f gc/libatomic_ops/config.sub gc/libatomic_ops/config.guess
 	rm -f lib/gauche/config.scm
-#	rm -f gc/configure gc/Makefile.in
+	rm -f gc/aclocal.m4
+	rm -f gc/configure gc/Makefile.in
+	rm -f gc/libatomic_ops/configure gc/libatomic_ops/Makefile.in
+	rm -f gc/libatomic_ops/src/Makefile.in gc/libatomic_ops/doc/Makefile.in
+	rm -f gc/libatomic_ops/tests/Makefile.in gc/libatomic_ops/aclocal.m4
 	find . -name "*.sci" | xargs rm -f
 	find . -type l -name "*.scm" | xargs rm -f
 
 override_dh_auto_configure:
+	ln -sf /usr/share/misc/config.sub .
+	ln -sf /usr/share/misc/config.guess .
+	(cd gc; ln -sf /usr/share/misc/config.sub .)
+	(cd gc; ln -sf /usr/share/misc/config.guess .)
+	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.sub .)
+	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.guess .)
 	autoconf
-#	(cd gc; autoconf; automake)
+	(cd gc; autoreconf -I m4)
 #	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
 #
 #	  --build=x86_64-linux-gnu

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz
